
package cn.com.poc.thirdparty.resource.demand.ai.entity.plugin;

import java.util.List;

public class MetaInfo {

    private Long errCode;
    private String errMsg;
    private List<Hit> hits;
    private Double maxScore;
    private String timedOut;
    private Double took;

    public Long getErrCode() {
        return errCode;
    }

    public void setErrCode(Long errCode) {
        this.errCode = errCode;
    }

    public String getErrMsg() {
        return errMsg;
    }

    public void setErrMsg(String errMsg) {
        this.errMsg = errMsg;
    }

    public List<Hit> getHits() {
        return hits;
    }

    public void setHits(List<Hit> hits) {
        this.hits = hits;
    }

    public Double getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(Double maxScore) {
        this.maxScore = maxScore;
    }

    public String getTimedOut() {
        return timedOut;
    }

    public void setTimedOut(String timedOut) {
        this.timedOut = timedOut;
    }

    public Double getTook() {
        return took;
    }

    public void setTook(Double took) {
        this.took = took;
    }

}
